package com.lifethinkist.textfile;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;

public class FilesLocalArrayAdapter extends ArrayAdapter<String> {

    private ArrayList<String> filenames;

    public FilesLocalArrayAdapter (Context context, int iResourceId, ArrayList<String> filenames){
        super(context, iResourceId, filenames);
        this.filenames = filenames;
    }

    public View getView(int position, View convertView, ViewGroup parent){
        View row = convertView;

        if (row == null) {
            LayoutInflater inflater = (LayoutInflater) getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            row = inflater.inflate(R.layout.list_row_files, null);
        }

        String filename = filenames.get(position);
        TextView filenameText = (TextView)row.findViewById(R.id.files_row_name);
        filenameText.setText(filename);

        return row;
    }


}
